SystemOrganization addCategory: #'Iliad-Tests-Buildables'!
SystemOrganization addCategory: #'Iliad-Tests-Dispatching'!
SystemOrganization addCategory: #'Iliad-Tests-Elements'!
SystemOrganization addCategory: #'Iliad-Tests-Sessions'!
SystemOrganization addCategory: #'Iliad-Tests-Utilities'!
SystemOrganization addCategory: #'Iliad-Tests-lib-JSON'!
SystemOrganization addCategory: #'Iliad-Tests-RequestHandlers'!
SystemOrganization addCategory: #'Iliad-Tests-RSS'!
SystemOrganization addCategory: #'Iliad-Tests-lib-HTTP'!

ILApplication subclass: #ILApplicationMock1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILApplicationMock1 class methodsFor: 'as yet unclassified' stamp: 'np 9/22/2009 12:36'!
path
	^'/test'! !

ILApplication subclass: #ILApplicationMock2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILApplicationMock2 class methodsFor: 'as yet unclassified' stamp: 'np 9/22/2009 12:36'!
path
	^'test/foo'! !

ILWidget subclass: #ILWidgetMock1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetMock1 methodsFor: 'building' stamp: 'sa 3/16/2009 14:25'!
contents
	^[:e | e text: 'test widget 1']! !

ILWidget subclass: #ILWidgetMock2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetMock2 methodsFor: 'building' stamp: 'sa 3/16/2009 14:26'!
contents
	^[:e | e text: 'test widget 2']! !

ILWidget subclass: #ILWidgetMock3
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetMock3 methodsFor: 'building' stamp: 'sa 3/16/2009 14:26'!
contents
	^[:e | e text: 'test widget 3']! !

Object subclass: #ILJsonDummyTestObject
	instanceVariableNames: 'a b c'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-JSON'!

!ILJsonDummyTestObject class methodsFor: 'as yet unclassified' stamp: 'np 4/3/2009 13:55'!
constructFromJson: j
	^ self new a: (j at: 'a'); b: (j at: 'b'); c: (j at: 'c'); yourself! !

!ILJsonDummyTestObject methodsFor: 'comparing' stamp: 'tonyg 11/29/2005 17:56'!
= other
	^ other class == self class and: [
		a = other a and: [
		b = other b and: [
		c = other c]]]! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
a
	"Answer the value of a"

	^ a! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
a: anObject
	"Set the value of a"

	a _ anObject! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
b
	"Answer the value of b"

	^ b! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
b: anObject
	"Set the value of b"

	b _ anObject! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
c
	"Answer the value of c"

	^ c! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
c: anObject
	"Set the value of c"

	c _ anObject! !

!ILJsonDummyTestObject methodsFor: 'printing' stamp: 'sa 10/8/2009 16:17'!
printJsonOn: s
	ILJson renderInstanceVariables: {#a. #b. #c} of: self on: s
! !

TestCase subclass: #ILActionRegistryTest
	instanceVariableNames: 'registry'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILActionRegistryTest methodsFor: 'running' stamp: 'np 8/14/2009 17:20'!
setUp
	registry := ILActionRegistry owner: ILWidget new.! !

!ILActionRegistryTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:40'!
testEvaluating
	| action1 action2 |
	action1 := ILAction new 
		block: [#action1];
		key: ILId new; 
		yourself.
	action2 := ILAction new 
		block: [#action2];
		key: ILId new; 
		yourself.
	registry register: action1; register: action2.
	self assert: (registry evaluateActionKey: action1 key) = #action1.
	self assert: (registry evaluateActionKey: action2 key) = #action2.
	self assert: (registry evaluateActionKey: ILId new) = nil! !

!ILActionRegistryTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:34'!
testRegistering
	| action1 action2 |
	action1 := ILAction new key: ILId new; yourself.
	action2 := ILAction new key: ILId new; yourself.
	registry register: action1; register: action2.
	self assert: (registry actions includes: action1).
	self assert: (registry actions includes: action2).
	self assert: registry actions size = 2.
	registry unregister: action1.
	self deny: (registry actions includes: action1).
	registry unregisterAllActions.
	self assert: registry actions size = 0! !

TestCase subclass: #ILActionTest
	instanceVariableNames: 'action'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILActionTest methodsFor: 'running' stamp: 'np 12/3/2008 17:08'!
setUp
	action := ILAction new! !

!ILActionTest methodsFor: 'testing' stamp: 'np 12/3/2008 17:23'!
testBlock
	action block: [1 + 1].
	self assert: action block value = 2! !

!ILActionTest methodsFor: 'testing' stamp: 'np 12/3/2008 17:21'!
testEvaluate
	| result |
	result := 2.
	action block: [:it | it + 1].
	action value: result.
	result := action evaluate.
	self assert: result = 3.
	action value: result.
	result := action evaluate.
	self assert: result = 4! !

TestCase subclass: #ILApplicationTest
	instanceVariableNames: 'application'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILApplicationTest methodsFor: 'running' stamp: 'np 8/17/2009 13:36'!
setUp
	application := ILApplicationMock1 new! !

!ILApplicationTest methodsFor: 'tests' stamp: 'np 8/17/2009 13:46'!
testDefaultSelectorFilter
	self assert: (application allowedSelector: #index).
	self deny: (application allowedSelector: #dispatch)! !

!ILApplicationTest methodsFor: 'tests' stamp: 'np 8/17/2009 13:54'!
testDispatch
	[application dispatchOn: #foo]
		on: Error
		do: [:e | self assert: (e isKindOf: ILDispatchError)]! !

!ILApplicationTest methodsFor: 'tests' stamp: 'np 8/17/2009 13:44'!
testMode
	application class verboseMode.
	self assert: (application isVerboseMode).
	self deny: (application isDeploymentMode).
	self deny: (application isDebugMode).
	application class mode: #deployment.
	self assert: (application isDeploymentMode).
	application class mode: #debug.
	self assert: (application isDebugMode)

! !

TestCase subclass: #ILBuildableTest
	instanceVariableNames: 'buildable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILBuildableTest methodsFor: 'running' stamp: 'sa 11/22/2009 20:02'!
setUp
	buildable := ILBuildable new! !

!ILBuildableTest methodsFor: 'testing' stamp: 'sa 11/22/2009 20:17'!
testAttributes
	buildable attributeAt: #foo put: 'bar'.
	self assert: (buildable attributes at: #foo) = 'bar'.
! !

TestCase subclass: #ILCompositeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILCompositeTest methodsFor: 'testing' stamp: 'np 8/14/2009 16:50'!
testAdd
	| composite child1 child2 children |
	children := OrderedCollection new.
	composite := ILComposite new.
	child1 := ILComposite new.
	child2 := ILComposite new.
	composite add: child1.
	composite childrenDo: [:each | children add: each].
	self assert: children size = 1.
	self assert: (children includes: child1).
	composite add: child2.
	children := OrderedCollection new.
	composite childrenDo: [:each | children add: each].
	self assert: children size = 2.
	self assert: (children includes: child1).
	self assert: (children includes: child2)
	! !

!ILCompositeTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:02'!
testAllChildren
	| c1 c2 c3 c4 c5 c6 res |
	c1 := ILComposite new.
	c2 := ILComposite new.
	c3 := ILComposite new.
	c4 := ILComposite new.
	c5 := ILComposite new.
	c6 := ILComposite new.
	c1 add: c2.
	c1 add: c3.
	c2 add: c4.
	c2 add: c5.
	c3 add: c6.
	
	res := OrderedCollection new.
	"Recursively collect all children"
	c1 allChildrenDo: [:each | res add: each].
	self assert: (res includes: c2).
	self assert: (res includes: c3).
	self assert: (res includes: c4).
	self assert: (res includes: c5).
	self assert: (res includes: c6)
	! !

!ILCompositeTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:02'!
testChildren
	| c1 c2 c3 res |
	c1 := ILComposite new.
	c2 := ILComposite new.
	c3 := ILComposite new.
	c1 add: c2.
	c1 add: c3.
	
	res := OrderedCollection new.
	c1 childrenDo: [:each | res add: each].
	self assert: (res includes: c2).
	self assert: (res includes: c3)! !

TestCase subclass: #ILCurrentContextTest
	instanceVariableNames: 'context'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILCurrentContextTest methodsFor: 'running' stamp: 'np 3/8/2009 18:06'!
setUp
	context := ILContext new! !

!ILCurrentContextTest methodsFor: 'testing' stamp: 'np 3/8/2009 18:05'!
testCurrentContext
	ILCurrentContext use: context during: [
		self assert: ILCurrentContext value = context].
	self assert: ILCurrentContext value = nil! !

TestCase subclass: #ILDispatcherTest
	instanceVariableNames: 'dispatcher app1 app2 request1 request2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Dispatching'!

!ILDispatcherTest methodsFor: 'running' stamp: 'np 9/22/2009 12:35'!
setUp
	dispatcher := ILDispatcher current.
	app1 := ILApplicationMock1 new.
	app2 := ILApplicationMock2 new.
	request1 := ILRequest new
		url: (ILUrl absolute: '/test/foo').
	request2 := ILRequest new
		url: (ILUrl absolute: '/test')
			! !

!ILDispatcherTest methodsFor: 'tests' stamp: 'np 9/22/2009 13:04'!
testApplicationClass
	| route1 route2 |
	route1 := ILRoute path: #('test' 'foo').
	route2 := ILRoute path: #('test').
	ILCurrentContext use: ILContext new during: [
		self assert: ((dispatcher applicationClassFor: route1) = app2 class).
		self assert: ((dispatcher applicationClassFor: route2) = app1 class)]! !

!ILDispatcherTest methodsFor: 'tests' stamp: 'np 9/22/2009 13:05'!
testFindApplication
	| context |
	context := dispatcher createContextFor: request1.
	ILCurrentContext use: context during: [
		context session applications at: app2 class put: app2.
		self assert: ((dispatcher findApplicationFor: context route) = app2)].
	context := dispatcher createContextFor: request2.
	ILCurrentContext use: context during: [
		context session applications at: app1 class put: app1.
		self assert: ((dispatcher findApplicationFor: context route) = app1)]

! !

TestCase subclass: #ILElementTest
	instanceVariableNames: 'e'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

ILElementTest subclass: #ILAnchorElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILAnchorElementTest methodsFor: 'running' stamp: 'np 1/13/2009 12:54'!
setUp
	e := ILAnchorElement new! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:54'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:42'!
testCircularShape
	e circleShape.
	self shouldHaveAttribute: 'shape' value: 'circle'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:56'!
testCoords
	e coords: 'foo'.
	self shouldHaveAttribute: 'coords' value: 'foo'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:57'!
testDefaultShape
	e defaultShape.
	self shouldHaveAttribute: 'shape' value: 'default'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:43'!
testPolygonalShape
	e polyShape.
	self shouldHaveAttribute: 'shape' value: 'poly'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:43'!
testRectangularShape
	e rectShape.
	self shouldHaveAttribute: 'shape' value: 'rect'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:59'!
testShape
	e shape: 'foo'.
	self shouldHaveAttribute: 'shape' value: 'foo'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:01'!
testTabIndex
	e tabindex: 3.
	self shouldHaveAttribute: 'tabindex' value: '3'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:54'!
testTag
	self assert: e tag = 'a'! !

ILElementTest subclass: #ILAreaElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILAreaElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 14:29'!
setUp
	e := ILAreaElement new! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:42'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'.! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:37'!
testAlternativeText
	e alt: 'foo'.
	self shouldHaveAttribute: 'alt' value: 'foo'.! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:31'!
testCircleShape
	e circleShape.
	self shouldHaveAttribute: 'shape' value: 'circle'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:41'!
testCoords
	e coords: 'foo'.
	self shouldHaveAttribute: 'coords' value: 'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 00:34'!
testDefaultShape
	e defaultShape.
	self shouldHaveAttribute: 'shape' value: 'default'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:43'!
testHref
	e href: 'foo'.
	self shouldHaveAttribute: 'href' value:  'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 11:30'!
testNoHref
	e nohref.
	self shouldHaveAttribute: 'nohref' value: 'nohref'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:51'!
testOnFocus
	e onFocus: 'foo'.
	self shouldHaveAttribute: 'onfocus' value: 'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:35'!
testPolyShape
	e polyShape.
	self shouldHaveAttribute: 'shape' value: 'poly'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:32'!
testRectShape
	e rectShape.
	self shouldHaveAttribute: 'shape' value: 'rect'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:47'!
testShape
	e shape: 'foo'.
	self shouldHaveAttribute: 'shape' value: 'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:43'!
testTabIndex
	e tabindex: 2.
	self shouldHaveAttribute: 'tabindex' value: '2'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:36'!
testTag
	self assert: e tag = 'area'! !

ILElementTest subclass: #ILBodyElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILBodyElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:32'!
setUp
	e := ILBodyElement new! !

!ILBodyElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:33'!
testOnLoad
	e onLoad: 'foo'.
	self shouldHaveAttribute: 'onLoad' value: 'foo'! !

!ILBodyElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:34'!
testOnUnload
	e onUnload: 'foo'.
	self shouldHaveAttribute: 'onUnload' value: 'foo'! !

!ILBodyElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 22:59'!
testTag
	self assert: (e tag = 'body')! !

ILElementTest subclass: #ILBreakElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILBreakElementTest methodsFor: 'running' stamp: 'sa 10/13/2009 00:31'!
setUp
	e := ILBreakElement new! !

!ILBreakElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 00:31'!
testTag
	self assert: (e tag = 'br')! !

ILElementTest subclass: #ILButtonElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILButtonElementTest methodsFor: 'running' stamp: 'np 1/13/2009 17:41'!
setUp
	e := ILButtonElement new! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 21:10'!
testAttributes
	e beButton.
	self shouldHaveAttribute: 'type' value: 'button'.
	e beReset.
	self shouldHaveAttribute: 'type' value: 'reset'.
	e beSubmit.
	self shouldHaveAttribute: 'type' value: 'submit'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:17'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'submit'.
	e type: 'foo'.
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'foo'
! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:43'!
testTag
	self assert: e tag = 'button'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:44'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:44'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILCheckboxElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILCheckboxElementTest methodsFor: 'running' stamp: 'np 1/13/2009 14:53'!
setUp
	e := ILCheckboxElement new! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:50'!
testBeChecked
	e beChecked.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:49'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'checkbox'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:54'!
testChecked
	e checked: true.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:54'!
testTag
	self assert: e tag = 'input'! !

ILElementTest subclass: #ILDirectionElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILDirectionElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:01'!
setUp
	e := ILDirectionElement new! !

!ILDirectionElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:54'!
testDir
	e dir: 'foo'.
	self shouldHaveAttribute: 'dir' value: 'foo'! !

!ILDirectionElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:01'!
testTag
	self assert: e tag = 'bdo'! !

!ILElementTest methodsFor: 'running' stamp: 'np 1/13/2009 10:47'!
setUp
	e := ILElement new! !

!ILElementTest methodsFor: 'conveniance' stamp: 'np 1/13/2009 10:56'!
shouldHaveAttribute: aKey value: aValue
	self assert: (e attributes includesAssociation: aKey->aValue)! !

!ILElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:58'!
testAttributes
	self assert: e attributes isEmpty.
	e attributeAt: 'foo' put: 'bar'.
	self shouldHaveAttribute: 'foo' value: 'bar'! !

!ILElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:38'!
testTag
	self assert: e tag = nil! !

!ILElementTest methodsFor: 'conveniance' stamp: 'sa 10/8/2009 18:59'!
withContextDo: aBlock
	ILCurrentContext
		use: (ILContext new session: ILSession new)
		during: aBlock! !

ILElementTest subclass: #ILFieldsetElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILFieldsetElementTest methodsFor: 'running' stamp: 'sa 11/22/2009 20:34'!
setUp
	e := ILFieldsetElement new! !

!ILFieldsetElementTest methodsFor: 'testing' stamp: 'sa 11/22/2009 20:35'!
testTag
	self assert: e tag = 'fieldset'! !

ILElementTest subclass: #ILFormElementElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILFormElementElementTest methodsFor: 'running' stamp: 'np 1/13/2009 14:20'!
setUp
	e := ILFormElementElement new! !

!ILFormElementElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:21'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILFormElementElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:22'!
testReadonly
	e readonly: false.
	self shouldHaveAttribute: 'readonly' value: 'false'! !

ILElementTest subclass: #ILFormElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILFormElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 19:45'!
setUp
	e := ILFormElement new! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 19:53'!
testAccept
	e accept: 'foo'.
	self assert: ((e attributeAt: 'accept') = 'foo')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 19:57'!
testAcceptCharset
	e acceptCharset: 'utf-8'.
	self assert: ((e attributeAt: 'accept-charset') = 'utf-8')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 20:01'!
testAcceptCharsets
	| charsets |
	charsets := #('utf-8' 'foo' 'bar').
	e acceptCharsets: charsets.
	self assert: ((e attributeAt: 'accept-charset') = 'utf-8 foo bar')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 20:17'!
testAccepts
	| accepts |
	accepts := #( 'foo' 'bar').
	e accepts: accepts.
	self assert: ((e attributeAt: 'accept') = 'foo bar')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 20:32'!
testBeMultipart
	e beMultipart.
	self assert: ((e attributeAt: 'enctype') = 'multipart/form-data').
	self assert: (e isMultipart)! !

!ILFormElementTest methodsFor: 'tests' stamp: 'np 10/1/2009 00:52'!
testEncodingType
	e enctype: 'foo'.
	self assert: ((e attributeAt: 'enctype') = 'foo')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 20:37'!
testMultipart
	e multipart: true.
	self assert: ((e attributeAt: 'enctype') = 'multipart/form-data')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 10/12/2009 17:01'!
testTag
	self assert: e tag = 'form'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 20:43'!
testUseGet
	e useGet.
	self assert: ((e attributeAt: 'method') = 'get')! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 8/17/2009 20:43'!
testUsePost
	e usePost.
	self assert: ((e attributeAt: 'method') = 'post')! !

ILElementTest subclass: #ILHeadElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHeadElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:56'!
setUp
	e := ILHeadElement new! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'np 1/13/2009 12:00'!
testProfile
	e profile: 'foo'.
	self shouldHaveAttribute: 'profile' value: 'foo'! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'np 1/13/2009 12:02'!
testProfiles
	e profiles: #('foo' 'bar').
	self shouldHaveAttribute: 'profile' value: 'foo bar'! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'np 1/13/2009 11:57'!
testTag
	self assert: e tag = 'head'! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'sa 11/22/2009 21:08'!
testTitle
	| title |
	title := e title.
	self assert: (title isKindOf: ILTitleElement)! !

ILElementTest subclass: #ILHeadingElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHeadingElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:40'!
setUp
	e := ILHeadingElement new.
	e level: 2! !

!ILHeadingElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:41'!
testTag
	self assert: (e tag = 'h2')! !

ILElementTest subclass: #ILHorizontalRuleElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHorizontalRuleElementTest methodsFor: 'running' stamp: 'sa 10/12/2009 17:05'!
setUp
	e := ILHorizontalRuleElement new! !

!ILHorizontalRuleElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:06'!
testTag
	self assert: (e tag = 'hr')! !

ILElementTest subclass: #ILHtmlElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHtmlElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:52'!
setUp
	e := ILHtmlElement new! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 16:49'!
testBeforePrintHtml
		| session context |
		session := ILSession new. session language: #fr.
		context := ILContext new session: session.
		ILCurrentContext 
		use: (context) 
		during: [	
			e beforePrintHtml.
			self shouldHaveAttribute: 'xmlns' value: 'http://www.w3.org/1999/xhtml'.
			self shouldHaveAttribute: 'lang' value: 'fr'.
			self shouldHaveAttribute: 'xml:lang' value: 'fr'.
			
			e xmlns: 'foo'. e lang: 'bar'. e xmlLang: 'baz'.
			e beforePrintHtml.
			self shouldHaveAttribute: 'xmlns' value: 'foo'.
			self shouldHaveAttribute: 'lang' value: 'bar'.
			self shouldHaveAttribute: 'xml:lang' value: 'baz']! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 00:49'!
testDocType
	| doctype |
	doctype := e doctype.
	self assert: (doctype = '<!!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">')
	! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:47'!
testLang
	e lang: 'fr'.
	self shouldHaveAttribute: 'lang' value: 'fr'! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:46'!
testTag
	self assert: e tag = 'html'! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:51'!
testVersion
	e version: 2.0.
	self shouldHaveAttribute: 'version' value: '2.0'
	! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 00:47'!
testXmlTag
	| xmlTag |
	xmlTag := e xmlTag.
	self assert: (xmlTag = '<?xml version="1.0" encoding="UTF-8"?>')
	! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:51'!
testXmlns
	e xmlns: 'foo'.
	self shouldHaveAttribute: 'xmlns' value: 'foo'
	! !

ILElementTest subclass: #ILImageElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILImageElementTest methodsFor: 'running' stamp: 'np 1/13/2009 12:07'!
setUp
	e := ILImageElement new! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:37'!
testAlternativeText
	e alt: 'foo'.
	self shouldHaveAttribute: 'alt' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:10'!
testHeight
	e height: 300.
	self shouldHaveAttribute: 'height' value: '300'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:44'!
testIsMap
	e ismap.
	self shouldHaveAttribute: 'ismap' value: 'ismap'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:44'!
testLongDescription
	e longdesc: 'foo bar'.
	self shouldHaveAttribute: 'longdesc' value: 'foo bar'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:45'!
testSource
	e src: 'foo'.
	self shouldHaveAttribute: 'src' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'sa 11/22/2009 21:13'!
testSrcAlt
	e src: 'http://www.google.com' alt: 'foo'.
	self shouldHaveAttribute: 'src' value: 'http://www.google.com'.
	self shouldHaveAttribute: 'alt' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:08'!
testTag
	self assert: e tag = 'img'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:50'!
testUsemap
	e usemap: 'foo'.
	self shouldHaveAttribute: 'usemap' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:14'!
testWidth
	e width: 200.
	self shouldHaveAttribute: 'width' value: '200'! !

ILElementTest subclass: #ILInputElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILInputElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 15:24'!
setUp
	e := ILInputElement new! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:26'!
testAccept
	e accept: 'foo'.
	self shouldHaveAttribute: 'accept' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:27'!
testAccepts
	e accepts: #('foo' 'bar').
	self shouldHaveAttribute: 'accept' value: 'foo bar'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:15'!
testAlternativeText
	e alt: 'foo'.
	self shouldHaveAttribute: 'alt' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:19'!
testAttributes
	e beImage.
	self shouldHaveAttribute: 'type' value: 'image'.
	e beHidden.
	self shouldHaveAttribute: 'type' value: 'hidden'.
	e beText.
	self shouldHaveAttribute: 'type' value: 'text'.
	e bePassword.
	self shouldHaveAttribute: 'type' value: 'password'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:16'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'text'.
	e type: 'foo'.
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:31'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:56'!
testIsMap
	e ismap.
	self shouldHaveAttribute: 'ismap' value: 'ismap'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:56'!
testMaxLength
	e maxlength: 2.
	self shouldHaveAttribute: 'maxlength' value: '2'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:33'!
testSize
	e size: 2.
	self shouldHaveAttribute: 'size' value: '2'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:34'!
testTag
	self assert: e tag = 'input'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:35'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:57'!
testUseMap
	e usemap: 'foo'.
	self shouldHaveAttribute: 'usemap' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:36'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILLabelElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLabelElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:11'!
setUp
	e := ILLabelElement new! !

!ILLabelElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILLabelElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:13'!
testFor
	e for: 'foo'.
	self shouldHaveAttribute: 'for' value: 'foo'! !

!ILLabelElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:14'!
testTag
	self assert: e tag = 'label'! !

ILElementTest subclass: #ILLegendElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLegendElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:18'!
setUp
	e := ILLegendElement  new! !

!ILLegendElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILLegendElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:19'!
testTag
	self assert: e tag = 'legend'! !

ILElementTest subclass: #ILLinkElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLinkElementTest methodsFor: 'running' stamp: 'np 1/13/2009 13:06'!
setUp
	e := ILLinkElement new! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:36'!
testAllMedia
	e allMedia.
	self shouldHaveAttribute: 'media' value: 'all'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testAuralMedia
	e auralMedia.
	self shouldHaveAttribute: 'media' value: 'aural'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testBrailleMedia
	e brailleMedia.
	self shouldHaveAttribute: 'media' value: 'braille'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testHandheldMedia
	e handheldMedia.
	self shouldHaveAttribute: 'media' value: 'handheld'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testMedia
	e media: 'foo'.
	self shouldHaveAttribute: 'media' value: 'foo'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:38'!
testPrintMedia
	e printMedia.
	self shouldHaveAttribute: 'media' value: 'print'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:36'!
testProjectionMedia
	e projectionMedia.
	self shouldHaveAttribute: 'media' value: 'projection'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:38'!
testScreenMedia
	e screenMedia.
	self shouldHaveAttribute: 'media' value: 'screen'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 13:06'!
testTag
	self assert: e tag = 'link'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:45'!
testTtyMedia
	e ttyMedia.
	self shouldHaveAttribute: 'media' value: 'tty'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:40'!
testTvMedia
	e tvMedia.
	self shouldHaveAttribute: 'media' value: 'tv'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:41'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

ILElementTest subclass: #ILLinkableElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLinkableElementTest methodsFor: 'running' stamp: 'np 1/13/2009 12:46'!
setUp
	e := ILLinkableElement new! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:44'!
testAttributes
	e beNext.
	self shouldHaveAttribute: 'rel' value: 'Next'.
	e beChapter.
	self shouldHaveAttribute: 'rel' value: 'Chapter'.
	e beStart.
	self shouldHaveAttribute: 'rel' value: 'Start'.
	e fromContents.
	self shouldHaveAttribute: 'rev' value: 'Contents'.
	e beIndex.
	self shouldHaveAttribute: 'rel' value: 'Index'.
	e fromPrevious.
	self shouldHaveAttribute: 'rev' value: 'Prev'.
	e fromHelp.
	self shouldHaveAttribute: 'rev' value: 'Help'.
	e beBookmark.
	self shouldHaveAttribute: 'rel' value: 'Bookmark'.
	e fromIndex.
	self shouldHaveAttribute: 'rev' value: 'Index'.
	e beGlossary.
	self shouldHaveAttribute: 'rel' value: 'Glossary'.
	e fromAlternate.
	self shouldHaveAttribute: 'rev' value: 'Alternate'.
	e fromStylesheet.
	self shouldHaveAttribute: 'rev' value: 'Stylesheet'.	
	e beHelp.
	self shouldHaveAttribute: 'rel' value: 'Help'.
	e beAppendix.
	self shouldHaveAttribute: 'rel' value: 'Appendix'.
	e fromAppendix.
	self shouldHaveAttribute: 'rev' value: 'Appendix'.
	e fromNext.
	self shouldHaveAttribute: 'rev' value: 'Next'.
	e bePrev.
	self shouldHaveAttribute: 'rel' value: 'Prev'.
	e fromChapter.
	self shouldHaveAttribute: 'rev' value: 'Chapter'.
	e beSubsection.
	self shouldHaveAttribute: 'rel' value: 'Subsection'.
	e beCopyright.
	self shouldHaveAttribute: 'rel' value: 'Copyright'.
	e beAlternate.
	self shouldHaveAttribute: 'rel' value: 'Alternate'.
	e fromBookmark.
	self shouldHaveAttribute: 'rev' value: 'Bookmark'.
	e bePrevious.
	self shouldHaveAttribute: 'rel' value: 'Prev'.
	e fromCopyright.
	self shouldHaveAttribute: 'rev' value: 'Copyright'.
	e fromSection.
	self shouldHaveAttribute: 'rev' value: 'Section'.
	e fromSubsection.
	self shouldHaveAttribute: 'rev' value: 'Subsection'.
	e fromStart.
	self shouldHaveAttribute: 'rev' value: 'Start'.
	e beSection.
	self shouldHaveAttribute: 'rel' value: 'Section'.
	e fromPrev.
	self shouldHaveAttribute: 'rev' value: 'Prev'.
	e beContents.
	self shouldHaveAttribute: 'rel' value: 'Contents'.
	e fromGlossary.
	self shouldHaveAttribute: 'rev' value: 'Glossary'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:32'!
testCharset
	e charset: 'foo'.
	self shouldHaveAttribute: 'charset' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:22'!
testContentType
	e contentType: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:47'!
testHref
	e href: 'foo'.
	self shouldHaveAttribute: 'href' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 11:46'!
testHrefLang
	e hreflang: 'foo'.
	self shouldHaveAttribute: 'hreflang' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:47'!
testRel
	e rel: 'foo'.
	self shouldHaveAttribute: 'rel' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:48'!
testRev
	e rev: 'foo'.
	self shouldHaveAttribute: 'rev' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:48'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

ILElementTest subclass: #ILListElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILListElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:15'!
setUp
	e := ILListElement new! !

!ILListElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:18'!
testBeOrdered
	e beOrdered.
	self assert: e tag = 'ol'! !

!ILListElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:18'!
testBeUnordered
	e beUnordered.
	self assert: e tag = 'ul'! !

ILElementTest subclass: #ILListItemElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILListItemElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:23'!
setUp
	e := ILListItemElement new! !

!ILListItemElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:24'!
testTag
	self assert: e tag = 'li'! !

ILElementTest subclass: #ILMapElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILMapElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:34'!
setUp
	e := ILMapElement new! !

!ILMapElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:37'!
testTag
	self assert: e tag = 'map'! !

ILElementTest subclass: #ILMetaElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILMetaElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 14:57'!
setUp
	e := ILMetaElement new! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 22:54'!
testAttributes
	e expires.
	self shouldHaveAttribute: 'http-equiv' value: 'expires'.
	e refresh.
	self shouldHaveAttribute: 'http-equiv' value: 'refresh'.
	e contentType.
	self shouldHaveAttribute: 'http-equiv' value: 'content-type'.
	e setCookie.
	self shouldHaveAttribute: 'http-equiv' value: 'set-cookie'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:05'!
testContent
	e content: 'foo'.
	self shouldHaveAttribute: 'content' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:07'!
testHttpEquiv
	e httpEquiv: 'foo'.
	self shouldHaveAttribute: 'http-equiv' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:08'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:09'!
testScheme
	e scheme: 'foo'.
	self shouldHaveAttribute: 'scheme' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:01'!
testTag
	self assert: e tag = 'meta'! !

ILElementTest subclass: #ILObjectElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILObjectElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:42'!
setUp
	e := ILObjectElement new! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:43'!
testArchive
	e archive: 'foo'.
	self shouldHaveAttribute: 'archive' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:45'!
testArchives
	e archives: #('foo' 'bar').
	self shouldHaveAttribute: 'archive' value: 'foo bar'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:01'!
testClassId
	e classid: 'foo'.
	self shouldHaveAttribute: 'classid' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:02'!
testCodeBase
	e codebase: 'foo'.
	self shouldHaveAttribute: 'codebase' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:02'!
testCodeType
	e codetype: 'foo'.
	self shouldHaveAttribute: 'codetype' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:59'!
testData
	e data: 'foo'.
	self shouldHaveAttribute: 'data' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:00'!
testDeclare
	e declare.
	self shouldHaveAttribute: 'declare' value: 'declare'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:02'!
testHeight
	e height: 2.
	self shouldHaveAttribute: 'height' value: '2'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:02'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:03'!
testStandBy
	e standby: 'foo'.
	self shouldHaveAttribute: 'standby' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:01'!
testTabIndex
	e tabindex: 2.
	self shouldHaveAttribute: 'tabindex' value: '2'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:42'!
testTag
	self assert: e tag = 'object'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:05'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:57'!
testUseMap
	e usemap: 'foo'.
	self shouldHaveAttribute: 'usemap' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:06'!
testWidth
	e width: 2.
	self shouldHaveAttribute: 'width' value: '2'! !

ILElementTest subclass: #ILOptionElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILOptionElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 18:26'!
setUp
	e := ILOptionElement new! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:27'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:28'!
testLabel
	e label: 'foo'.
	self shouldHaveAttribute: 'label' value: 'foo'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:28'!
testSelected
	e selected.
	self shouldHaveAttribute: 'selected' value: 'selected'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:29'!
testTag
	self assert: e tag = 'option'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:30'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILOptionGroupElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILOptionGroupElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 18:18'!
setUp
	e := ILOptionGroupElement new! !

!ILOptionGroupElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:20'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILOptionGroupElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:20'!
testLabel
	e label: 'foo'.
	self shouldHaveAttribute: 'label' value: 'foo'! !

!ILOptionGroupElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:19'!
testTag
	self assert: e tag = 'optgroup'! !

ILElementTest subclass: #ILParagraphElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILParagraphElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:32'!
setUp
	e := ILParagraphElement new! !

!ILParagraphElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:32'!
testTag
	self assert: e tag = 'p'! !

ILElementTest subclass: #ILParameterElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILParameterElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:27'!
setUp
	e := ILParameterElement new! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:27'!
testAdd
	self should: [e add: ILElement new] raise: ILElementError! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 22:55'!
testAttributes
	e beObject.
	self shouldHaveAttribute: 'valuetype' value: 'object'.
	e beData.
	self shouldHaveAttribute: 'valuetype' value: 'data'.
	e beReference.
	self shouldHaveAttribute: 'valuetype' value: 'ref'
	
	! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:28'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:28'!
testTag
	self assert: e tag = 'param'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:29'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:29'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:51'!
testValueType
	e valuetype: 'foo'.
	self shouldHaveAttribute: 'valuetype' value: 'foo'! !

ILElementTest subclass: #ILRSSCategoryElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSCategoryElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 01:59'!
setUp
	e := ILRSSCategoryElement new! !

!ILRSSCategoryElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:01'!
testDomain
	e domain: 'foo'.
	self shouldHaveAttribute: 'domain' value: 'foo'! !

!ILRSSCategoryElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:00'!
testTag
	self assert: e tag = 'category'! !

ILElementTest subclass: #ILRSSCloudElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSCloudElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:03'!
setUp
	e := ILRSSCloudElement new! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:06'!
testDomain
	e domain: 'foo'.
	self shouldHaveAttribute: 'domain' value: 'foo'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 10:54'!
testPath
	e path: 'foo'.
	self shouldHaveAttribute: 'path' value: 'foo'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:11'!
testPort
	e port: 9999.
	self shouldHaveAttribute: 'port' value: '9999'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:12'!
testProtocol
	e protocol: 'ssh'.
	self shouldHaveAttribute: 'protocol' value: 'ssh'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:15'!
testRegisterProcedure
	e registerProcedure: 'Namespace.Object'.
	self shouldHaveAttribute: 'registerProcedure' value: 'Namespace.Object'! !

!ILRSSCloudElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:16'!
testTag
	self assert: e tag = 'cloud'! !

ILElementTest subclass: #ILRSSCommentsElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSCommentsElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:17'!
setUp
	e := ILRSSCommentsElement new! !

!ILRSSCommentsElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:17'!
testTag
	self assert: e tag = 'comments'! !

ILElementTest subclass: #ILRSSElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSElementTest methodsFor: 'running' stamp: 'sa 10/9/2009 18:00'!
setUp
	e := ILRSSElement new! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:07'!
testAuthor
	| author |
	author := e author.
	self assert: (author isKindOf: ILRSSElement).
	self assert: (author tag = 'author')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:03'!
testCategory
	| category |
	category := e category.
	self assert: (category isKindOf: ILRSSCategoryElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 23:16'!
testChannel
	| channel |
	channel := e channel.
	self assert: (channel isKindOf: ILRSSElement).
	self assert: (channel tag = 'channel')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:04'!
testCloud
	| cloud |
	cloud := e cloud.
	self assert: (cloud isKindOf: ILRSSCloudElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:05'!
testComment
	| comment |
	comment := e comment.
	self assert: (comment isKindOf: ILRSSElement).
	self assert: (comment tag = 'wfw:comment')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:06'!
testComments
	| comments |
	comments := e comments.
	self assert: (comments isKindOf: ILRSSCommentsElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:07'!
testCopyright
	| copyright |
	copyright := e copyright.
	self assert: (copyright isKindOf: ILRSSElement).
	self assert: (copyright tag = 'copyright')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:08'!
testDescription
	| description |
	description := e description.
	self assert: (description isKindOf: ILRSSElement).
	self assert: (description tag = 'description')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 23:16'!
testEnclosure
	| enclosure |
	enclosure := e enclosure.
	self assert: (enclosure isKindOf: ILRSSEnclosureElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:08'!
testGenerator
	| generator |
	generator := e generator.
	self assert: (generator isKindOf: ILRSSElement).
	self assert: (generator tag = 'generator')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:09'!
testGuid
	| guid |
	guid := e guid.
	self assert: (guid isKindOf: ILRSSGuidElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:10'!
testImage
	| image |
	image := e image.
	self assert: (image isKindOf: ILRSSElement).
	self assert: (image tag = 'image')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:11'!
testItem
	| item |
	item := e item.
	self assert: (item isKindOf: ILRSSElement).
	self assert: (item tag = 'item')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:11'!
testLanguage
	| language |
	language := e language.
	self assert: (language isKindOf: ILRSSElement).
	self assert: (language tag = 'language')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:12'!
testLastBuildDate
	| lastBuildDate |
	lastBuildDate := e lastBuildDate.
	self assert: (lastBuildDate isKindOf: ILRSSElement).
	self assert: (lastBuildDate tag = 'lastBuildDate')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:12'!
testLink
	| link |
	link := e link.
	self assert: (link isKindOf: ILRSSElement).
	self assert: (link tag = 'link')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:13'!
testManagingEditor
	| managingEditor |
	managingEditor := e managingEditor.
	self assert: (managingEditor isKindOf: ILRSSElement).
	self assert: (managingEditor tag = 'managingEditor')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:14'!
testPubDate
	| pubDate |
	pubDate := e pubDate.
	self assert: (pubDate isKindOf: ILRSSElement).
	self assert: (pubDate tag = 'pubDate')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:14'!
testRating
	| rating |
	rating := e rating.
	self assert: (rating isKindOf: ILRSSElement).
	self assert: (rating tag = 'rating')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:15'!
testRss
	| rss |
	rss := e rss.
	self assert: (rss isKindOf: ILRSSRssElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:15'!
testSkipDays
	| skipDays |
	skipDays := e skipDays.
	self assert: (skipDays isKindOf: ILRSSElement).
	self assert: (skipDays tag = 'skipDays')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:16'!
testSkipHours
	| skipHours |
	skipHours := e skipHours.
	self assert: (skipHours isKindOf: ILRSSElement).
	self assert: (skipHours tag = 'skipHours')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 23:17'!
testSource
	| source |
	source := e source.
	self assert: (source isKindOf: ILRSSSourceElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:16'!
testTextInput
	| textInput |
	textInput := e textInput.
	self assert: (textInput isKindOf: ILRSSElement).
	self assert: (textInput tag = 'textInput')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:17'!
testTitle
	| title |
	title := e title.
	self assert: (title isKindOf: ILRSSElement).
	self assert: (title tag = 'title')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:17'!
testTtl
	| ttl |
	ttl := e ttl.
	self assert: (ttl isKindOf: ILRSSElement).
	self assert: (ttl tag = 'ttl')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:18'!
testWebMaster
	| webMaster |
	webMaster := e webMaster.
	self assert: (webMaster isKindOf: ILRSSElement).
	self assert: (webMaster tag = 'webMaster')! !

ILElementTest subclass: #ILRSSEnclosureElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSEnclosureElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:18'!
setUp
	e := ILRSSEnclosureElement new! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:20'!
testTag
	self assert: e tag = 'enclosure'! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:22'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:24'!
testUrl
	e url: 'foo'.
	self shouldHaveAttribute: 'url' value: 'foo'! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:23'!
testlength
	e length: 123456789.
	self shouldHaveAttribute: 'length' value: '123456789'! !

ILElementTest subclass: #ILRSSGuidElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSGuidElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:26'!
setUp
	e := ILRSSGuidElement new! !

!ILRSSGuidElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:27'!
testIsPermaLink
	e isPermaLink: true.
	self shouldHaveAttribute: 'isPermaLink' value: 'true'! !

!ILRSSGuidElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:28'!
testTag
	self assert: e tag = 'guid'! !

ILElementTest subclass: #ILRSSRssElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSRssElementTest methodsFor: 'running' stamp: 'sa 10/9/2009 18:43'!
setUp
	e := ILRSSRssElement new! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:50'!
testBlogChannel
	e blogChannel: 'foo'.
	self shouldHaveAttribute: 'xmlns:blogChannel' value: 'foo'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:51'!
testTag
	self assert: e tag = 'rss'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:54'!
testVersion
	e version: 1.
	self shouldHaveAttribute: 'version' value: '1'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:55'!
testXmlTag
	| xmlTag |
	xmlTag := e xmlTag.
	self assert: xmlTag = '<?xml version="1.0"?>'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:56'!
testXmlns
	e xmlns: 'foo'.
	self shouldHaveAttribute: 'xmlns' value: 'foo'! !

ILElementTest subclass: #ILRSSSourceElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSSourceElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:29'!
setUp
	e := ILRSSSourceElement new! !

!ILRSSSourceElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:29'!
testTag
	self assert: e tag = 'source'! !

!ILRSSSourceElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:30'!
testUrl
	e url: 'foo'.
	self shouldHaveAttribute: 'url' value: 'foo'! !

ILElementTest subclass: #ILRadioButtonElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILRadioButtonElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 20:54'!
setUp
	e := ILRadioButtonElement new! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:52'!
testBeSelected
	e beSelected.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:04'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'radio'! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:51'!
testSelected
	e selected: true.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 20:58'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILRubyTextElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILRubyTextElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 18:32'!
setUp
	e := ILRubyTextElement new! !

!ILRubyTextElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:03'!
testRubyBaseSpan
	e rbspan: 2.
	self shouldHaveAttribute: 'rbspan' value: '2'! !

!ILRubyTextElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:33'!
testTag
	self assert: e tag = 'rt'! !

ILElementTest subclass: #ILScriptElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILScriptElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:33'!
setUp
	e := ILScriptElement new! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:59'!
testCharSet
	e charset: 'foo'.
	self shouldHaveAttribute: 'charset' value: 'foo'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 10:44'!
testDeferred
	e deferred.
	self shouldHaveAttribute: 'defer' value: 'defer'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:35'!
testLanguage
	e language: 'foo'.
	self shouldHaveAttribute: 'language' value: 'foo'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:04'!
testSrc
	e src: 'foo'.
	self shouldHaveAttribute: 'src' value: 'foo'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:34'!
testTag
	self assert: e tag = 'script'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:36'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

ILElementTest subclass: #ILSelectElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILSelectElementTest methodsFor: 'running' stamp: 'np 8/14/2009 14:25'!
setUp
	"Need a current session and action registry during ILSelectElement initialization"
	ILCurrentContext 
		use: (ILContext new session: ILSession new)
		during: [ILCurrentActionRegistry 
			use: ILActionRegistry new 
			during: [e := ILSelectElement new]]! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:16'!
testBeMultiple
	e beMultiple.
	self shouldHaveAttribute: 'multiple' value: 'multiple'! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 13:11'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:17'!
testSize
	e size: 10.
	self shouldHaveAttribute: 'size' value: '10'! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 10:47'!
testTag
	self assert: e tag = 'select'! !

ILElementTest subclass: #ILSpanElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILSpanElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:37'!
setUp
	e := ILSpanElement new! !

!ILSpanElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:38'!
testTag
	self assert: e tag = 'span'! !

ILElementTest subclass: #ILTableBodyElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableBodyElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:43'!
setUp
	e := ILTableBodyElement new! !

!ILTableBodyElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:44'!
testTag
	self assert: e tag = 'tbody'! !

ILElementTest subclass: #ILTableCellElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableCellElementTest methodsFor: 'running' stamp: 'sa 1/14/2009 01:16'!
setUp
	e := ILTableCellElement new! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:12'!
testAbbreviation
	e abbr: 'foo'.
	self shouldHaveAttribute: 'abbr' value: 'foo'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:55'!
testAttributes
	e colScope.
	self shouldHaveAttribute: 'scope' value: 'col'.
	e rowgroupScope.
	self shouldHaveAttribute: 'scope' value: 'rowgroup'.
	e colgroupScope.
	self shouldHaveAttribute: 'scope' value: 'colgroup'.
	e rowScope.
	self shouldHaveAttribute: 'scope' value: 'row'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 01:19'!
testAxis
	e axis: 'foo'.
	self shouldHaveAttribute: 'axis' value: 'foo'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:13'!
testColumnSpan
	e colspan: 2.
	self shouldHaveAttribute: 'colspan' value: '2'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 01:27'!
testHeaders
	e headers: #('foo' 'bar').
	self shouldHaveAttribute: 'headers' value: 'foo,bar'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:14'!
testRowSpan
	e rowspan: 2.
	self shouldHaveAttribute: 'rowspan' value: '2'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 01:25'!
testScope
	e scope: 'foo'.
	self shouldHaveAttribute: 'scope' value: 'foo'! !

ILElementTest subclass: #ILTableDataElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableDataElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:48'!
setUp
	e := ILTableDataElement new! !

!ILTableDataElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:49'!
testTag
	self assert: e tag = 'td'! !

ILElementTest subclass: #ILTableElementElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableElementElementTest methodsFor: 'running' stamp: 'sa 1/14/2009 01:00'!
setUp
	e := ILTableElementElement new! !

!ILTableElementElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:16'!
testAlignment
	e align: 'foo'.
	self shouldHaveAttribute: 'align' value: 'foo'! !

!ILTableElementElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:42'!
testAttributes
	e centerAlign.
	self shouldHaveAttribute: 'align' value: 'center'.
	e rightAlign.
	self shouldHaveAttribute: 'align' value: 'right'.
	e bottomValign.
	self shouldHaveAttribute: 'valign' value: 'bottom'.
	e characterAlign.
	self shouldHaveAttribute: 'align' value: 'char'.
	e leftAlign.
	self shouldHaveAttribute: 'align' value: 'left'.
	e middleValign.
	self shouldHaveAttribute: 'valign' value: 'middle'.
	e topValign.
	self shouldHaveAttribute: 'valign' value: 'top'.
	e baselineValign.
	self shouldHaveAttribute: 'valign' value: 'baseline'.
	e justifyAlign.
	self shouldHaveAttribute: 'align' value: 'justify'! !

!ILTableElementElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:11'!
testVerticalAlignment
	e valign: 'foo'.
	self shouldHaveAttribute: 'valign' value: 'foo'! !

ILElementTest subclass: #ILTableElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableElementTest methodsFor: 'running' stamp: 'sa 1/14/2009 00:41'!
setUp
	e := ILTableElement new! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:13'!
testAttributes
	e rhsFrame.
	self shouldHaveAttribute: 'frame' value: 'rhs'.
	e vsidesFrame.
	self shouldHaveAttribute: 'frame' value: 'vsides'.
	e aboveFrame.
	self shouldHaveAttribute: 'frame' value: 'above'.
	e groupRules.
	self shouldHaveAttribute: 'rules' value: 'groups'.
	e hsidesFrame.
	self shouldHaveAttribute: 'frame' value: 'hsides'.
	e colsRules.
	self shouldHaveAttribute: 'rules' value: 'cols'.
	e noRules.
	self shouldHaveAttribute: 'rules' value: 'none'.
	e boxFrame.
	self shouldHaveAttribute: 'frame' value: 'box'.
	e rowsRules.
	self shouldHaveAttribute: 'rules' value: 'rows'.
	e voidFrame.
	self shouldHaveAttribute: 'frame' value: 'void'.
	e allRules.
	self shouldHaveAttribute: 'rules' value: 'all'.
	e belowFrame.
	self shouldHaveAttribute: 'frame' value: 'below'.
	e lhsFrame.
	self shouldHaveAttribute: 'frame' value: 'lhs'.
	e borderFrame.
	self shouldHaveAttribute: 'frame' value: 'border'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:46'!
testBorder
	e border: 2.
	self shouldHaveAttribute: 'border' value: '2'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:05'!
testCellPadding
	e cellpadding: 2.
	self shouldHaveAttribute: 'cellpadding' value: '2'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:06'!
testCellSpacing
	e cellspacing: 2.
	self shouldHaveAttribute: 'cellspacing' value: '2'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:52'!
testFrame
	e frame: 'foo'.
	self shouldHaveAttribute: 'frame' value: 'foo'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:53'!
testRules
	e rules: 'foo'.
	self shouldHaveAttribute: 'rules' value: 'foo'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:54'!
testSummary
	e summary: 'foo'.
	self shouldHaveAttribute: 'summary' value: 'foo'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:45'!
testTag
	self assert: e tag = 'table'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:55'!
testWidth
	e width: 2.
	self shouldHaveAttribute: 'width' value: '2'! !

ILElementTest subclass: #ILTableFootElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableFootElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 22:07'!
setUp
	e := ILTableFootElement new! !

!ILTableFootElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:08'!
testTag
	self assert: e tag = 'tfoot'! !

ILElementTest subclass: #ILTableHeadElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableHeadElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 22:12'!
setUp
	e := ILTableHeadElement new! !

!ILTableHeadElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:12'!
testTag
	self assert: e tag = 'thead'! !

ILElementTest subclass: #ILTableHeaderElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableHeaderElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:53'!
setUp
	e := ILTableHeaderElement new! !

!ILTableHeaderElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:53'!
testTag
	self assert: e tag = 'th'! !

ILElementTest subclass: #ILTableRowElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableRowElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:58'!
setUp
	e := ILTableRowElement new! !

!ILTableRowElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:59'!
testTag
	self assert: e tag = 'tr'! !

ILElementTest subclass: #ILTextAreaElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTextAreaElementTest methodsFor: 'running' stamp: 'np 1/13/2009 17:42'!
setUp
	e := ILTextAreaElement new! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:45'!
testCols
	e cols: 3.
	self shouldHaveAttribute: 'cols' value: '3'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:43'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:44'!
testRows
	e rows: 3.
	self shouldHaveAttribute: 'rows' value: '3'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:47'!
testTabindex
	e tabindex: 3.
	self shouldHaveAttribute: 'tabindex' value: '3'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:44'!
testTag
	self assert: e tag = 'textarea'! !

ILElementTest subclass: #ILTextElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTextElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:21'!
setUp
	e := ILTextElement new! !

!ILTextElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:24'!
testAdd
	self should: [e add: ILElement new] raise: ILElementError! !

!ILTextElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:26'!
testTag
	self assert: e tag = nil! !

!ILTextElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:03'!
testText
	e text: 'foo'.
	self assert: (e contents = 'foo')! !

ILElementTest subclass: #ILTitleElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTitleElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 22:19'!
setUp
	e := ILTitleElement new! !

!ILTitleElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:20'!
testTag
	self assert: e tag = 'title'! !

ILElementTest subclass: #ILXHTMLElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILXHTMLElementTest methodsFor: 'running' stamp: 'sa 8/18/2009 13:17'!
setUp
	e := ILXHTMLElement new! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:47'!
testA
	| a |
	a := e a.
	self assert: (a isKindOf: ILAnchorElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:48'!
testArea
	| area |
	area := e area.
	self assert: (area isKindOf: ILAreaElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:48'!
testBdo
	| bdo |
	bdo := e bdo.
	self assert: (bdo isKindOf: ILDirectionElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:42'!
testBig
	| big |
	big := e big.
	self assert: (big isKindOf: ILTextElement).
	self assert: (big tag = 'big').
	big := e big: 'coucou'.
	self assert: (big contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:19'!
testBlockquote
	| blockquote |
	blockquote := e blockquote.
	self assert: (blockquote isKindOf: ILTextElement).
	self assert: (blockquote tag = 'blockquote').
	blockquote := e blockquote: 'foo'.
	self assert: (blockquote contents = 'foo')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:46'!
testBold
	| bold |
	bold := e bold.
	self assert: (bold isKindOf: ILTextElement).
	self assert: (bold tag = 'bold').
	bold := e big: 'coucou'.
	self assert: (bold contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:47'!
testBr
	| br |
	br := e br.
	self assert: (br isKindOf: ILBreakElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:54'!
testButton
	| button |
	button := e button.
	self assert: (button isKindOf: ILButtonElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:54'!
testCheckbox
	| checkbox |
	checkbox := e checkbox.
	self assert: (checkbox isKindOf: ILCheckboxElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:55'!
testCite
	| cite |
	cite := e cite.
	self assert: (cite isKindOf: ILTextElement).
	self assert: (cite tag = 'cite').
	cite := e big: 'coucou'.
	self assert: (cite contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 19:05'!
testClass
	e class: 'foo'.
	self shouldHaveAttribute: 'class' value: 'foo'! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:56'!
testCode
	| code |
	code := e code.
	self assert: (code isKindOf: ILTextElement).
	self assert: (code tag = 'code').
	code := e big: 'coucou'.
	self assert: (code contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 12:37'!
testCss
	e := e css.
	self assert: (e isKindOf: ILLinkElement).
	self shouldHaveAttribute: 'rel' value: 'Stylesheet'.
	self shouldHaveAttribute: 'type' value: 'text/css'! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:57'!
testDd
	| dd |
	dd := e dd.
	self assert: (dd isKindOf: ILTextElement).
	self assert: (dd tag = 'dd')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:58'!
testDfn
	| dfn |
	dfn := e dfn.
	self assert: (dfn isKindOf: ILTextElement).
	self assert: (dfn tag = 'dfn')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:59'!
testDiv
	| div |
	div := e div.
	self assert: (div isKindOf: ILDivElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:00'!
testDl
	| dl |
	dl := e dl.
	self assert: (dl isKindOf: ILTextElement).
	self assert: (dl tag = 'dl')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:01'!
testDt
	| dt |
	dt := e dt.
	self assert: (dt isKindOf: ILTextElement).
	self assert: (dt tag = 'dt')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:02'!
testEm
	| em |
	em := e em.
	self assert: (em isKindOf: ILTextElement).
	self assert: (em tag = 'em').
	em := e em: 'coucou'.
	self assert: (em contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:19'!
testFavicon
	e := e favicon.
	self assert: (e isKindOf: ILLinkElement).
	self shouldHaveAttribute: 'rel' value: 'shortcut icon'.
	e := e favicon: 'hello'.
	self shouldHaveAttribute: 'href' value: 'hello'! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:04'!
testFieldset
	| fieldset |
	fieldset := e fieldset.
	self assert: (fieldset isKindOf: ILFieldsetElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 13:12'!
testFile
	e := e file.
	self assert: (e isKindOf: ILInputElement).
	self shouldHaveAttribute: 'type' value: 'file'! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:06'!
testForm
	| form |
	form := e form.
	self assert: (form isKindOf: ILFormElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:06'!
testH
	| h |
	h := e h.
	self assert: (h isKindOf: ILHeadingElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:56'!
testH1
	| h1 |
	h1 := e h1.
	self assert: (h1 isKindOf: ILHeadingElement).
	self assert: (h1 level = '1')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:56'!
testH2
	| h2 |
	h2 := e h2.
	self assert: (h2 isKindOf: ILHeadingElement).
	self assert: (h2 level = '2')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:56'!
testH3
	| h3 |
	h3 := e h3.
	self assert: (h3 isKindOf: ILHeadingElement).
	self assert: (h3 level = '3')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:21'!
testH4
	| h4 |
	h4 := e h4.
	self assert: (h4 isKindOf: ILHeadingElement).
	self assert: (h4 level = '4')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:57'!
testH5
	| h5 |
	h5 := e h5.
	self assert: (h5 isKindOf: ILHeadingElement).
	self assert: (h5 level = '5')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:57'!
testH6
	| h6 |
	h6 := e h6.
	self assert: (h6 isKindOf: ILHeadingElement).
	self assert: (h6 level = '6')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:17'!
testHr
	| hr |
	hr := e hr.
	self assert: (hr isKindOf: ILHorizontalRuleElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:18'!
testHtml
	| html |
	html := e html: 'coucou'.
	self assert: (html isKindOf: ILRawHtmlElement).
	self assert: (html contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:19'!
testI
	| i |
	i := e i.
	self assert: (i isKindOf: ILTextElement).
	self assert: (i tag = 'i').
	i := e i: 'coucou'.
	self assert: (i contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:25'!
testId
	e id: 'foo'.
	self assert: (e id = 'foo')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:28'!
testImg
	| img |
	img := e img.
	self assert: (img isKindOf: ILImageElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:21'!
testInput
	| input |
	input := e input.
	self assert: (input isKindOf: ILInputElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'np 10/31/2009 22:37'!
testJavascript
	e := e javascript.
	self assert: (e isKindOf: ILScriptElement).
	self shouldHaveAttribute: 'type' value: 'text/javascript'
	! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:24'!
testLabel
	| label |
	label := e label.
	self assert: (label isKindOf: ILLabelElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 8/18/2009 13:07'!
testLang
	e lang: 'foo'.
	self shouldHaveAttribute: 'lang' value: 'foo'! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:25'!
testLegend
	| legend |
	legend := e legend.
	self assert: (legend isKindOf: ILLegendElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:26'!
testLi
	| li |
	li := e li.
	self assert: (li isKindOf: ILListItemElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:26'!
testLink
	| link |
	link := e link.
	self assert: (link isKindOf: ILLinkElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:27'!
testMap
	| map |
	map := e map.
	self assert: (map isKindOf: ILMapElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:27'!
testMeta
	| meta |
	meta := e meta.
	self assert: (meta isKindOf: ILMetaElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:29'!
testNbsp
	| nbsp |
	nbsp := e nbsp.
	self assert: (nbsp isKindOf: ILRawHtmlElement).
	self assert: (nbsp contents = '&nbsp;')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:30'!
testObject
	| object |
	object := e object.
	self assert: (object isKindOf: ILObjectElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:05'!
testOl
	e := e ol.
	self assert: (e isKindOf: ILListElement).
	self assert: (e tag = 'ol')
	! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:32'!
testOptGroup
	| optgroup |
	optgroup := e optgroup.
	self assert: (optgroup isKindOf: ILOptionGroupElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:33'!
testOption
	| option |
	option := e option.
	self assert: (option isKindOf: ILOptionElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:24'!
testP
	| p |
	p := e p.
	self assert: (p isKindOf: ILParagraphElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:38'!
testParam
	| param |
	param := e param.
	self assert: (param isKindOf: ILParameterElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:39'!
testPre
	| pre |
	pre := e pre.
	self assert: (pre isKindOf: ILTextElement).
	self assert: (pre tag = 'pre').
	pre := e pre: 'coucou'.
	self assert: (pre contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:41'!
testQuote
	| quote |
	quote := e quote.
	self assert: (quote isKindOf: ILTextElement).
	self assert: (quote tag = 'quote').
	quote := e quote: 'coucou'.
	self assert: (quote contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:41'!
testRadio
	| radio |
	radio := e radio.
	self assert: (radio isKindOf: ILRadioButtonElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 12:38'!
testReset
	e := e reset.
	self assert: (e isKindOf: ILInputElement).
	self shouldHaveAttribute: 'type' value: 'reset'! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:43'!
testScript
	| script |
	script := e script.
	self assert: (script isKindOf: ILScriptElement).
	script := e script: 'coucou'.
	self assert: (script contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:44'!
testSmall
	| small |
	small := e small.
	self assert: (small isKindOf: ILTextElement).
	self assert: (small tag = 'small').
	small := e small: 'coucou'.
	self assert: (small contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:06'!
testSpace
	e := e space.
	self assert: (e isKindOf: ILTextElement).
	self assert: (e contents = ' ')
	! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:45'!
testSpan
	| span |
	span := e span.
	self assert: (span isKindOf: ILSpanElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:46'!
testStrong
	| strong |
	strong := e strong.
	self assert: (strong isKindOf: ILTextElement).
	self assert: (strong tag = 'strong').
	strong := e strong: 'coucou'.
	self assert: (strong contents = 'coucou')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:54'!
testStyle
	e style: 'foo'.
	self shouldHaveAttribute: 'style' value: 'foo'.
	self assert: (e style = 'foo')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:08'!
testSubmit
	e := e submit.
	self assert: (e isKindOf: ILInputElement).
	self shouldHaveAttribute: 'type' value: 'submit'
	! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:15'!
testSubscript
	| sub |
	sub := e subscript.
	self assert: (sub isKindOf: ILTextElement).
	self assert: (sub tag = 'subscript').
	sub := e subscript: 'hello'.
	self assert: (sub contents = 'hello')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:22'!
testSuperscript
	| superscript |
	superscript := e superscript.
	self assert: (superscript isKindOf: ILTextElement).
	self assert: (superscript tag = 'superscript').
	superscript := e superscript: 'hello'.
	self assert: (superscript contents = 'hello')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:48'!
testTable
	| table |
	table := e table.
	self assert: (table isKindOf: ILTableElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:48'!
testTbody
	| tbody |
	tbody := e tbody.
	self assert: (tbody isKindOf: ILTableBodyElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:49'!
testTd
	| td |
	td := e td.
	self assert: (td isKindOf: ILTableDataElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:50'!
testTextarea
	| textarea |
	textarea := e textarea.
	self assert: (textarea isKindOf: ILTextAreaElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:50'!
testTfoot
	| tfoot |
	tfoot := e tfoot.
	self assert: (tfoot isKindOf: ILTableFootElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:51'!
testTh
	| th |
	th := e th.
	self assert: (th isKindOf: ILTableHeaderElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:51'!
testThead
	| thead |
	thead := e thead.
	self assert: (thead isKindOf: ILTableHeadElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:55'!
testTitle
	e title: 'foo'.
	self shouldHaveAttribute: 'title' value: 'foo'.
	self assert: (e title = 'foo')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:52'!
testTr
	| tr |
	tr := e tr.
	self assert: (tr isKindOf: ILTableRowElement)! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:52'!
testTt
	| tt |
	tt := e tt.
	self assert: (tt isKindOf: ILTextElement).
	self assert: (tt tag = 'tt')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:24'!
testUl
	e := e ul.
	self assert: (e isKindOf: ILListElement).
	self assert: (e tag = 'ul')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:29'!
testVar
	| var |
	var := e var.
	self assert: (var isKindOf: ILTextElement).
	self assert: (var tag = 'var').
	var := e var: 'hello'.
	self assert: (var contents = 'hello')! !

!ILXHTMLElementTest methodsFor: 'testing' stamp: 'sa 8/18/2009 13:14'!
testXmlLang
	e xmlLang: 'foo'.
	self shouldHaveAttribute: 'xml:lang' value: 'foo'! !

TestCase subclass: #ILEncoderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILEncoderTest methodsFor: 'tests' stamp: 'np 3/8/2009 18:06'!
testEncodeForHTTP
	| str |
	str := 't<e>s&t"@'.
	ILCurrentContext use: (ILContext new session: ILSession new; yourself) during: [
		self assert: (ILEncoder encodeForHTTP: str) = 't&lt;e&gt;s&amp;t&quot;@']! !

!ILEncoderTest methodsFor: 'tests' stamp: 'np 8/14/2009 11:32'!
testEncoding
	| leading hiraA hiraKU greekOneHalf |
	"see http://www.unicode.org/charts/PDF/U3040.pdf"
	leading := (Smalltalk classNamed: #JapaneseEnvironment) leadingChar.
	hiraA := (Character leadingChar: leading code: 16r3042) asString.  "HIRAGANA LETTER A"
	hiraKU := (Character leadingChar: leading code: 16r304F) asString.  "HIRAGANA LETTER KU"
	
	"see http://www.unicode.org/charts/PDF/U10140.pdf"
	greekOneHalf := (Character value: 16r10175).
	
	ILCurrentContext use: (ILContext new session: ILSession new; yourself) during: [
		self assert: (ILSqueakEncoder decode: hiraA) = hiraA.
		self deny: (ILSqueakEncoder encode: hiraA) = hiraA.
		self assert: (ILSqueakEncoder decode: hiraKU) = hiraKU.
		self assert: (ILSqueakEncoder decode: greekOneHalf) = greekOneHalf].! !

TestCase subclass: #ILFileProxyTest
	instanceVariableNames: 'fileProxy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-HTTP'!

!ILFileProxyTest methodsFor: 'running' stamp: 'sa 11/22/2009 20:43'!
setUp
	fileProxy := ILFileProxy new! !

!ILFileProxyTest methodsFor: 'testing' stamp: 'sa 11/22/2009 20:48'!
testTimestamp
	| timeStamp |
	timeStamp := TimeStamp now.
	fileProxy timestampsAt: #foo put: timeStamp.
	self assert: ((fileProxy timestamps at: #foo) = timeStamp) ! !

TestCase subclass: #ILIdTest
	instanceVariableNames: 'ids'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILIdTest methodsFor: 'running' stamp: 'np 8/14/2009 14:27'!
setUp
	ids := OrderedCollection new.
	1000 timesRepeat: [ids add: ILId new]! !

!ILIdTest methodsFor: 'testing' stamp: 'np 8/14/2009 14:26'!
testUnicity
	ids do: [:each |
		self assert: (ids occurrencesOf: each) = 1]! !

TestCase subclass: #ILJsonTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-JSON'!

!ILJsonTests commentStamp: '<historical>' prior: 0!
I provide a number of test cases for class Json.!

!ILJsonTests methodsFor: 'as yet unclassified' stamp: 'tonyg 11/29/2005 18:03'!
json: aString equals: aValue
	| readValue |
	readValue := self readFrom: aString.
	self assert: readValue = aValue.! !

!ILJsonTests methodsFor: 'filein/out' stamp: 'sa 10/8/2009 16:20'!
readFrom: aString
	^ (ILJson newWithConstructors: {ILJsonDummyTestObject.}) readFrom: aString readStream
! !

!ILJsonTests methodsFor: 'as yet unclassified' stamp: 'sa 10/8/2009 16:17'!
render: anObject equals: aString
	self assert: (ILJson render: anObject) = aString! !

!ILJsonTests methodsFor: 'as yet unclassified' stamp: 'sa 10/8/2009 16:20'!
simpleDummyObject
	^ILJsonDummyTestObject new a: 1; b: 2; c: 3; yourself! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:51'!
testArray
	self json: '[]' equals: #().
	self json: '[[]]' equals: #(#()).
	self json: '[[], []]' equals: #(#() #()).
	self json: '["hi", "there"]' equals: #('hi' 'there').
	self json: '[["a", "b", null]]' equals: #(('a' 'b' nil)).! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:42'!
testAtomFalse
	self json: 'false' equals: false.
	self json: '  false' equals: false.
	self json: 'false  ' equals: false.
	self json: '  false  ' equals: false.
! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:43'!
testAtomNull
	self json: 'null' equals: nil.
	self json: '  null' equals: nil.
	self json: 'null  ' equals: nil.
	self json: '  null  ' equals: nil.
! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/17/2005 09:10'!
testAtomNumber
	self json: '1' equals: 1.
	self json: '0123' equals: 123.
	self json: '1.23e2' equals: 123.
	self json: '-1' equals: -1.
	self json: '-0' equals: 0.
	self json: '[-1.2]' equals: #(-1.2).! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:46'!
testAtomString
	self json: '"hi"' equals: 'hi'.
	self json: '"\""' equals: '"'.
	self json: '"\\"' equals: '\'.
	self json: '""' equals: ''.! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:36'!
testAtomTrue
	self json: 'true' equals: true.
	self json: '  true' equals: true.
	self json: 'true  ' equals: true.
	self json: '  true  ' equals: true.
! !

!ILJsonTests methodsFor: 'tests' stamp: 'sa 11/22/2009 16:33'!
testCtor
	self json: '@ILJsonDummyTestObject {"a": 1, "b": 2, "c": 3}' equals: self simpleDummyObject.
	self json: (ILJson render: self simpleDummyObject) equals: self simpleDummyObject.! !

!ILJsonTests methodsFor: 'tests' stamp: 'np 4/3/2009 13:58'!
testDictionary
	self json: '{}' equals: (Dictionary new).
	self json: '{"a": "a"}' equals: (Dictionary new at: 'a' put: 'a'; yourself).
	self json: '{"a": [[]]}' equals: (Dictionary new at: 'a' put: #(#()); yourself).
	self json: '{"a":"b", "b":"a"}' equals: ({'a'->'b'. 'b'->'a'} as: Dictionary).! !

!ILJsonTests methodsFor: 'tests' stamp: 'sa 10/8/2009 16:20'!
testMissingCtor
	self 
		should: [self readFrom: '@Missing[]']
		raise: ILJsonSyntaxError
! !

!ILJsonTests methodsFor: 'tests' stamp: 'sa 10/8/2009 16:20'!
testMissingCtorNoMap
	self 
		should: [ILJson new readFrom: '@Missing[]' readStream]
		raise: ILJsonSyntaxError! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/17/2005 16:25'!
testWriteString
	self render: '"' equals: '"\""'.
	self render: '\' equals: '"\\"'.
	self render: 'hi' equals: '"hi"'.
	self render: ({$a. Character lf. $b} as: String) equals: '"a\nb"'.! !

TestCase subclass: #ILModelProxyTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILModelProxyTest methodsFor: 'testing' stamp: 'np 8/20/2009 15:25'!
test
	| cookie proxy |
	cookie := ILCookie new.
	cookie key: 'The Metaphor'.
	proxy := ILModelProxy on: cookie.
	self assert: proxy key = cookie key.
	self assert: cookie expiry isNil.
	self assert: proxy expiry = cookie expiry.
	proxy expiry: (DateAndTime fromSeconds: 36209).
	self assert: proxy expiry = (DateAndTime fromSeconds: 36209).
	self assert: cookie expiry isNil.
	proxy commit.
	self assert: cookie expiry = (DateAndTime fromSeconds: 36209)! !

TestCase subclass: #ILRequestHandlerTest
	instanceVariableNames: 'requestHandler response'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RequestHandlers'!

!ILRequestHandlerTest methodsFor: 'as yet unclassified' stamp: 'sa 8/21/2009 03:47'!
setUp
	requestHandler := ILRequestHandler new.
	response := ILResponse new! !

!ILRequestHandlerTest methodsFor: 'as yet unclassified' stamp: 'sa 8/21/2009 13:39'!
testAddAllowHeaderTo
	| methods headers |
	methods := 'OPTIONS,GET,HEAD,POST,DELETE,TRACE,PROPFIND,PROPPATCH,MKCOL,PUT,COPY,MOVE,LOCK,UNLOCK'.
	requestHandler addAllowHeaderTo: response.
	headers := response headers.
	self assert: ((Dictionary newFrom: headers) at: 'Allow') = methods! !

!ILRequestHandlerTest methodsFor: 'as yet unclassified' stamp: 'sa 8/21/2009 13:41'!
testAddCacheHeaderTo
	| timeStamp headers |
	timeStamp := ILSupport rfc1123StringFor: (TimeStamp fromSeconds: TimeStamp now asSeconds + (24*3600)).
	requestHandler addCacheHeaderTo: response.
	headers := response headers.
	self assert: ((Dictionary newFrom: headers) at: 'expires') = timeStamp! !

!ILRequestHandlerTest methodsFor: 'as yet unclassified' stamp: 'sa 8/21/2009 13:50'!
testAddNoCacheHeaderTo
	| timeStamp headers |
	timeStamp := ILSupport rfc1123StringFor: TimeStamp now.
	requestHandler addNoCacheHeaderTo: response.
	headers := response headers.
	self assert: ((Dictionary newFrom: headers) at: 'expires') = timeStamp.
	self assert: ((Dictionary newFrom: headers) at: 'Cache-Control') = 'no-store, no-cache, must-revalidate'! !

TestCase subclass: #ILRouteTest
	instanceVariableNames: 'route'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Dispatching'!

!ILRouteTest methodsFor: 'running' stamp: 'np 8/13/2009 17:18'!
setUp
	route := ILRoute path: (ILUrl absolute: 'hello/world/foo/bar') path.! !

!ILRouteTest methodsFor: 'testing' stamp: 'sa 12/3/2008 17:41'!
testBasePath
	self assert: route basePath = '/hello'! !

!ILRouteTest methodsFor: 'testing' stamp: 'sa 12/3/2008 17:37'!
testPath
	self assert: route path asArray = #('hello' 'world' 'foo' 'bar') ! !

!ILRouteTest methodsFor: 'testing' stamp: 'np 3/6/2009 13:55'!
testStreaming
	| string |
	string := route next.
	self assert: string = 'hello'.
	self assert: route peek = 'world'.
	string := route next.
	self assert: string = 'world'.
	string := route next.
	self assert: string = 'foo'.
	string := route next.
	self assert: string = 'bar'.
	string := route next.
	self assert: string = nil.
	string := route next.
	self assert: string = nil.
	string := route reset; next.
	self assert: string = 'hello'
	! !

!ILRouteTest methodsFor: 'testing' stamp: 'np 4/10/2009 20:32'!
testUriString
	self assert: route uriString = '/hello/world/foo/bar'! !

TestCase subclass: #ILSessionManagerTest
	instanceVariableNames: 'manager'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILSessionManagerTest methodsFor: 'running' stamp: 'np 2/28/2009 17:13'!
setUp
	manager := ILSessionManager current! !

!ILSessionManagerTest methodsFor: 'running' stamp: 'np 1/29/2009 15:48'!
tearDown
	manager := nil! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'np 8/14/2009 11:27'!
testAddRemove
	| session1 session2 |
	session1 := ILSession new.
	session2 := ILSession new.
	manager addSession: session1.
	self deny: (manager hasSession: session2).
	self assert: (manager hasSession: session1).
	manager addSession: session2.
	self assert: (manager hasSession: session2).
	manager removeSession: session1.
	self deny: (manager hasSession: session1).
	manager removeSession: session2.
	self deny: (manager hasSession: session2).
	session1 := session2 := nil! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'sa 11/23/2009 11:54'!
testCookieName
	manager cookieName: 'foo'.
	self assert: (manager preferences at: #cookieName) =  'foo'! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'np 8/14/2009 11:31'!
testExpiredSession
	| session |
	session := ILSession new
		expirySeconds: -1;
		yourself.
	manager addSession: session.
	self assert: (manager hasSession: session).
	self assert: session isExpired.
	manager removeExpiredSessions.
	self deny: (manager hasSession: session)! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'np 8/14/2009 11:24'!
testFindSession
	| session1 session2 |
	session1 := ILSession new.
	session2 := ILSession new.
	manager addSession: session1.
	manager addSession: session2.
	self assert: (manager findOrMakeSessionWithId: session2 id) = session2.
	self assert: (manager findOrMakeSessionWithId:  session1 id) = session1.
	manager removeSession: session2; removeSession: session1.
	self deny: (manager findOrMakeSessionWithId:  session1 id) = session1.
	self deny: (manager findOrMakeSessionWithId:  session2 id) = session2.
	session1 := session2 := nil! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'sa 11/23/2009 11:56'!
testPreferences
	| obj |
	obj := 'bar'.
	manager preferenceAt: #foo put: obj.
	self assert: (manager preferences at: #foo) = obj ! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'sa 11/23/2009 13:10'!
testSessionClass
	| class |
	class := ILSession.
	manager sessionClass: class.
	self assert: (manager preferences at: #sessionClass) = class ! !

TestCase subclass: #ILSessionTest
	instanceVariableNames: 'session'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILSessionTest methodsFor: 'running' stamp: 'sa 8/14/2009 17:10'!
setUp
	session := ILSession new! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 8/14/2009 17:16'!
testActionRegistries
	| widget1 widget2 actionRegistry1 actionRegistry2 |
	widget1 := ILWidget new.
	widget2 := ILWidget new.
	actionRegistry1 := session addActionRegistryFor: widget1.
	self assert: ((session actionRegistryFor: widget1) == actionRegistry1).
	actionRegistry2 := session addActionRegistryFor: widget2.
	self assert: ((session actionRegistryFor: widget2) == actionRegistry2).
	self assert: (session actionRegistries size = 2).
	session clearActionRegistries.
	self assert: (session actionRegistries size = 0)! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 11/23/2009 12:45'!
testCharset
	session charset: 'foo'.
	self assert: (session preferences at: #charset) = 'foo'! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 8/14/2009 17:35'!
testDirtyWidgets
	| widget1 widget2  |
	widget1 := ILWidget new.
	widget2 := ILWidget new.
	session addToDirtyWidgets: widget1.
	self assert: (session dirtyWidgets includes: widget1).
	session addToDirtyWidgets: widget2.
	self assert: (session dirtyWidgets includes: widget2).
	self assert: (session dirtyWidgets size = 2).
	session clearDirtyWidgets.
	self assert: (session dirtyWidgets size = 0)! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 8/15/2009 16:05'!
testExpire
	| s |
	s := ILSession new.
	self deny: (s isExpired).
	s expire.
	self assert: (s isExpired).
	s := ILSession new.
	s expirySeconds: 1.
	self deny: (s isExpired).
	(Delay forSeconds: 2) wait.
	self assert: (s isExpired) 
		! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 11/23/2009 12:44'!
testRefreshOnBacktrack
	session refreshOnBacktrack: true.
	self assert: (session preferences at: #refreshOnBacktrack) = true! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 11/23/2009 12:45'!
testUseCoookies
	session useCookies: true.
	self assert: (session preferences at: #cookies) = true! !

TestCase subclass: #ILSmallDictionaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILSmallDictionaryTest methodsFor: 'tests' stamp: 'np 8/17/2009 22:29'!
testAdd
	
	| dict |
	dict := ILSmallDictionary new.
	dict add: #a -> 1.
	dict add: #b -> 2.
	self assert: (dict at: #a) = 1.
	self assert: (dict at: #b) = 2! !

!ILSmallDictionaryTest methodsFor: 'tests' stamp: 'np 8/17/2009 22:30'!
testAddAll
	
	| dict1 dict2 |
	dict1 := ILSmallDictionary new.
	dict1 at: #a put:1 ; at: #b put: 2. 
	dict2 := ILSmallDictionary new.
	dict2 at: #a put: 3 ; at: #c put: 4.
	dict1 addAll: dict2.
	self assert: (dict1 at: #a) = 3.
	self assert: (dict1 at: #b) = 2.
	self assert: (dict1 at: #c) = 4.! !

!ILSmallDictionaryTest methodsFor: 'association-tests' stamp: 'np 8/17/2009 22:30'!
testAddAssociation
	"self run:#testAddAssociation"
	"self debug:#testAddAssociation"
	
	| dict |
	dict := ILSmallDictionary new.
	dict at: #a put: 1.
	dict at: #b put: 2.
	self assert: (dict at: #a) = 1.
	self assert: (dict at: #b) = 2.
	
	dict at: #a put: 10.
	dict at: #c put: 2.
	
	self assert: (dict at: #a) = 10.
	self assert: (dict at: #b) = 2.
	self assert: (dict at: #c) = 2
	
	! !

!ILSmallDictionaryTest methodsFor: 'association-tests' stamp: 'np 8/17/2009 22:33'!
testAssociationsSelect
	| answer d |
	d := ILSmallDictionary new.
	d at: (Array with: #hello with: #world)
	  put: #fooBar.
	d at: Smalltalk put: #'Smalltalk is the key'.
	d at: #Smalltalk put: Smalltalk.
	answer := d
				associationsSelect: [:assoc | assoc key == #Smalltalk
						and: [assoc value == Smalltalk]].
	self
		should: [answer isKindOf: ILSmallDictionary].
	self
		should: [answer size == 1].
	self
		should: [(answer at: #Smalltalk)
				== Smalltalk].
	answer := d
				associationsSelect: [:assoc | assoc key == #NoSuchKey
						and: [assoc value == #NoSuchValue]].
	self
		should: [answer isKindOf: ILSmallDictionary].
	self
		should: [answer size == 0]! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:30'!
testAtError
	"self run: #testAtError"
	
	| dict |
	dict := ILSmallDictionary new.
	dict at: #a put: 666.
	self shouldnt: [ dict at: #a ] raise: Error.
	self should: [ dict at: #b ] raise: Error.
	
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:30'!
testAtIfAbsent
	"self run: #testAtIfAbsent"
	
	| dict |
	dict := ILSmallDictionary new.
	dict at: #a put: 666.
	
	self assert: (dict at: #a ifAbsent: [nil]) = 666.
	
	self assert: (dict at: #b ifAbsent: [nil]) isNil.

	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:30'!
testAtNil
	"(self run: #testAtNil)"
	"nil is a valid key in squeak. In VW nil is not a valid key"
	"Ansi 1.9 p, 168
    		5.7.2.5 Message: at: key put: newElement
    		Synopsis
    			Store newElement at key in the receiver. Answer newElement.
    		Definition: <abstractDictionary>
    		If lookup succeeds for key, then newElement replaces the element previously stored at key.
    		Otherwise, the newElement is stored at the new key. In either case, subsequent successful
    		lookups for key will answer newElement.  Answer newElement.

    		The result is undefined if the key is nil.

		This clearly indicates that different smalltalks where doing different assumptions."
	
	
	
	| dict1  |
	dict1 := ILSmallDictionary new.
	self shouldnt: [ dict1 at: nil put: #none] raise: Error.
	self assert: (dict1 at: nil) = #none. 
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:30'!
testAtPut
	"self run: #testAtPut"
	"self debug: #testAtPut"
	
	| adictionary |
	adictionary := ILSmallDictionary new.
	adictionary at: #a put: 3.
	self assert: (adictionary at: #a) = 3.
	adictionary at: #a put: 3.
	adictionary at: #a put: 4.
	self assert: (adictionary at: #a) = 4.
	adictionary at: nil put: 666.
	self assert: (adictionary at: nil) = 666
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:30'!
testAtPutNil
	"self run: #testAtPut"
	"self debug: #testAtPut"
	
	| dict |
	dict := ILSmallDictionary new.
	dict at: nil put: 1.
	self assert: (dict at: nil) = 1.
	dict at: #a put: nil.
	self assert: (dict at: #a) = nil.
	dict at: nil put: nil.
	self assert: (dict at: nil) = nil.
	
	
	! !

!ILSmallDictionaryTest methodsFor: 'tests' stamp: 'np 8/17/2009 22:31'!
testComma
	
	| dict1 dict2 dict3 |
	dict1 := ILSmallDictionary new.
	dict1 at: #a put:1 ; at: #b put: 2. 
	dict2 := ILSmallDictionary new.
	dict2 at: #a put: 3 ; at: #c put: 4.
	dict3 := dict1, dict2.
	self assert: (dict3 at: #a) = 3.
	self assert: (dict3 at: #b) = 2.
	self assert: (dict3 at: #c) = 4.! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:31'!
testDictionaryConcatenation
	"self run: #testDictionaryConcatenation"
	
	
	| dict1 dict2 dict3 |
	dict1 := ILSmallDictionary new.
	dict1 at: #a put: 'Nicolas' ; at: #b put: 'Damien'. 
	
	dict2 := ILSmallDictionary new.
	dict2 at: #a put: 'Christophe' ; at: #c put: 'Anthony'.
	dict3 := dict1, dict2.
	
	self assert: (dict3 at: #a) = 'Christophe'.
	self assert: (dict3 at: #b) = 'Damien'.
	self assert: (dict3 at: #c) = 'Anthony'.
	

	! !

!ILSmallDictionaryTest methodsFor: 'association-tests' stamp: 'np 8/17/2009 22:31'!
testIncludesAssociation
	"self run:#testIncludesAssociation"
	
	| dict |
	dict := ILSmallDictionary new.
	dict at: #a put: 1.
	dict at: #b put: 2.
	self assert: (dict includesAssociation: (#a -> 1)).
	self assert: (dict includesAssociation: (#b -> 2)).
	
	! !

!ILSmallDictionaryTest methodsFor: 'association-tests' stamp: 'np 8/17/2009 22:31'!
testIncludesAssociationNoValue
	"self run:#testIncludesAssociationNoValue"
	"self debug:#testIncludesAssociationNoValue"
	
	| dict a1 a3 |
	a1 := Association key: #Italie.
	a3 := Association key: #France value: 'Paris'.
	
	self assert: (a1 key = #Italie).
	self assert: (a1 value isNil).
	
	dict := ILSmallDictionary new.
	dict add: a1.
	dict add: a3.
	self assert: (dict includesKey: #France).
	self assert: (dict includesKey: #Italie).
	self assert: (dict at: #Italie) isNil.
	self assert: (dict at: #France) = 'Paris'

	
	
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:31'!
testIncludesKey
	"self run:#testIncludesKey"
	"self debug:#testIncludesKey"
	
	| dict a1 a2 a3 |
	a1 := Association key: 'Italie'.
	a2 := Association new.
	a3 := Association key: 'France' value: 'Paris'.
	
	dict := ILSmallDictionary new.
	dict add: a1 .
	dict add: a2.
	dict add: a3.
	self assert: (dict includesKey: #France).
	self assert: (dict includesKey: 'France').
	self assert: (dict includesKey: #Italie).
	self assert: (dict includesKey: nil).	
		
	self assert: (dict at: 'France' ) = 'Paris'.
! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:31'!
testKeys

	"self run:#testKeys "
	
	| a1 a2  dict | 
	a1 := Association key: 'France' value: 'Paris'.
	a2 := Association key: 'Italie' value: 'Rome'.
	dict := ILSmallDictionary new.
	dict add: a1.
	dict add: a2.
	 		
	self assert: (dict keys size) = 2.
	
	self assert: (dict keys includes: #France)
	
	


	
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:31'!
testKeysDo
	"self run: #testKeysDo"
	"self debug: #testKeysDo"
	
	| dict res |
	dict := ILSmallDictionary new.
	
	dict at: #a put: 33.
	dict at: #b put: 66.
	
	res := OrderedCollection new.
	dict keysDo: [ :each | res add: each].
	
	self assert: res asSet = #(a b) asSet.


	
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:32'!
testOccurrencesOf
	"self run:#testOccurrencesOf"
	
	| dict |
	dict := ILSmallDictionary new.
	dict at: #a put: 1.
	dict at: #b put: 2.
	dict at: #c put: 1.
	dict at: #d put: 3.
	dict at: nil put: nil.
	dict at: #z put: nil.
	
	
	self assert: (dict occurrencesOf: 1 ) = 2.
	self assert: (dict occurrencesOf: nil ) = 2.
	
	
	
	! !

!ILSmallDictionaryTest methodsFor: 'tests' stamp: 'np 8/17/2009 22:32'!
testPseudo
	"(self run: #testPseudo)"
	"true and false are valid keys"
	
	| dict1  |
	dict1 := ILSmallDictionary new.
	self shouldnt: [dict1 at: true put: #true] raise: Error.
	self assert: (dict1 at: true) = #true.
		
	self shouldnt: [dict1 at: false put: #false] raise: Error.
	self assert: (dict1 at: false) = #false.! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:32'!
testPseudoVariablesAreValidKeys
	"(self run: #testPseudoVariablesAreValidKeys)"
	"true and false are valid keys"
	
	| dict1  |
	dict1 := ILSmallDictionary new.
	self shouldnt: [dict1 at: true put: #true] raise: Error.
	self assert: (dict1 at: true) = #true.
		
	self shouldnt: [dict1 at: false put: #false] raise: Error.
	self assert: (dict1 at: false) = #false.! !

!ILSmallDictionaryTest methodsFor: 'smalldictTests' stamp: 'np 8/17/2009 22:32'!
testRehash
	| dictionary |
	dictionary := ILSmallDictionary new: 100.
	dictionary
		add: 1 -> 3;
		at: 2 put: 4;
		at: 1 put: 4.
	self assert: dictionary size = 2.
	self assert: (dictionary inject: 0 into: [:sum :each | sum + each]) = 8.
	self assert: (dictionary includesKey: 1).
	self deny: (dictionary includesKey: 3).
	
	dictionary rehash.
	
	self assert: dictionary size = 2.
	self assert: (dictionary inject: 0 into: [:sum :each | sum + each]) = 8.
	self assert: (dictionary includesKey: 1).
	self deny: (dictionary includesKey: 3).
	
	
	
	! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:32'!
testRemoveKey
		"self run:#testRemoveKey "

	| dict | 
	dict := ILSmallDictionary new.
	dict at: #a put: 1.
	dict at: #b put: 2.
	 
	self assert: (dict keys size) = 2.
	dict removeKey: #a.
	self assert: dict keys size  = 1.

	self should: [dict at: #a] raise: Error.
	self assert: (dict at: #b) = 2


	
	! !

!ILSmallDictionaryTest methodsFor: 'smalldictTests' stamp: 'np 8/17/2009 22:32'!
testSmallDictionary
	| dictionary total |
	dictionary := ILSmallDictionary new: 100.
	dictionary
		add: 1 -> 3;
		at: 2 put: 4;
		at: 1 put: 4.
	self assert: dictionary size = 2.
	self assert: (dictionary inject: 0 into: [:sum :each | sum + each]) = 8.
	self assert: (dictionary includesKey: 1).
	self deny: (dictionary includesKey: 3).
	total := 0.
	dictionary keysDo: [:each | total := total + each].
	self assert: total = 3.
	dictionary removeKey: 2.
	dictionary copy associationsDo: [:each | dictionary remove: each].
	self assert: dictionary size = 0! !

!ILSmallDictionaryTest methodsFor: 'basic tests' stamp: 'np 8/17/2009 22:32'!
testValues
	"self run:#testValues "
	
	| a1 a2 a3 dict | 
	a1 := Association key: 'France' value: 'Paris'.
	a2 := Association key: 'Italie' value: 'Rome'.
	dict := ILSmallDictionary new.
	dict add: a1.
	dict add: a2.
	 
	self assert: (dict values size ) = 2.
	self assert: (dict values includes: 'Paris').
	
	a3 := Association new.
	dict add: a3.
	self assert: (dict values size ) = 3.
	self assert: (dict values includes: nil).
	
	
	
	
	
	


	
	! !

TestCase subclass: #ILUrlBuilderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILUrlBuilderTest methodsFor: 'testing' stamp: 'np 9/22/2009 14:15'!
testAbsolutePath
	| app1 app2 |
	app1 := ILApplicationMock1 new.
	app2 := ILApplicationMock2 new.
	self assert: (ILUrlBuilder default absolutePathFor: app1 class) = '/test'.
	self assert: (ILUrlBuilder default absolutePathFor: app2 class) = '/test/foo'.
	! !

TestCase subclass: #ILUrlTest
	instanceVariableNames: 'url'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-HTTP'!

!ILUrlTest methodsFor: 'running' stamp: 'sa 11/23/2009 12:09'!
setUp
	url := ILUrl new! !

!ILUrlTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:13'!
testAddParameters
	url addParameter: 'foo'.
	self assert: (url parameters at: 'foo') = nil.
	url addParameter: 'foo' value: 'bar'.
	self assert: (url parameters at: 'foo') = 'bar'
	! !

TestCase subclass: #ILWidgetTest
	instanceVariableNames: 'c1 c2 c3 d1 d2 c4'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetTest methodsFor: 'private' stamp: 'sa 10/12/2009 12:34'!
session 
	^ILCurrentContext value session! !

!ILWidgetTest methodsFor: 'running' stamp: 'sa 10/12/2009 12:44'!
setUp
	c1 := ILWidgetMock1 new.
	c2 := ILWidgetMock2 new.
	c3 := ILWidgetMock3 new.
	c4 := ILWidgetMock3 new.! !

!ILWidgetTest methodsFor: 'testing' stamp: 'sa 10/12/2009 12:37'!
testAnswer
	self withSessionDo: [
		c1 show: c2 onAnswer: [:ans | self assert: ans = 'hello'].
		c2 show: c3 onAnswer: [:ans | self assert: ans = 10].
		c3 answer: 10.
		c2 answer: 'hello'.
		c1 show: c2 onAnswer: [:ans | self assert: ans = 'hello'].
		c1 show: c3 onAnswer: [:ans | self assert: ans = 10].
		c2 answer: 'hello'.
		c3 answer: 10.]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'sa 9/20/2009 16:30'!
testDecorators
	| d1 d2 d3 |
	d1 := ILDecorator new.
	d2 := ILDecorator new.
	d3 := ILDecorator new.
	c1 decorateWith: d1.
	self assert: d1 decoratee = c1.
	c1 decorateWith: d2.
	self assert: d1 decoratee = d2.
	self assert: d1 decoratee decoratee = c1.
	c1 decorateWith: d3.
	self assert: d1 decoratee = d2.
	self assert: d1 decoratee decoratee = d3.
	self assert: d1 decoratee decoratee decoratee= c1. 
	d2 removeYourself.
	self assert: d1 decoratee = d3.
	self assert: d1 decoratee decoratee = c1.
	d3 removeYourself.
	self assert: d1 decoratee = c1! !

!ILWidgetTest methodsFor: 'testing' stamp: 'sa 10/12/2009 13:10'!
testDependentWidget
	self withSessionDo: [
		c3 addDependentWidget: c2.
		c2 addDependentWidget: c1.
		
		self assert: (self session dirtyWidgets isEmpty).
		c3 markDirty.
		self assert: (self session dirtyWidgets includes: c3).
		self assert: (self session dirtyWidgets includes: c2).
		self assert: (self session dirtyWidgets includes: c1).
		self session clearDirtyWidgets.
		
		c3 removeDependentWidget: c2.
		c2 removeDependentWidget: c1.
		c3 markDirty.
		self assert: (self session dirtyWidgets size = 1).
		self assert: (self session dirtyWidgets includes: c3)]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'sa 10/12/2009 12:45'!
testReplace
	self withSessionDo: [
		c1 replace: c2 with: c3 onAnswer: [:ans | self assert: ans = nil].
		c1 replace: c2 with: c4 onAnswer: [:ans | self assert: ans = 'foo'].
		c2 answer: 'foo']! !

!ILWidgetTest methodsFor: 'testing' stamp: 'sa 10/12/2009 12:37'!
testRetrieveControl
	| str |
	str := WriteStream on: ''.
	self withSessionDo: [
		c1 show: c2.
		c1 show: c3.
		c1 build printHtmlOn: str.
		self deny: ('*test widget 1*' match: str contents).
		c1 retrieveControl.
		str := WriteStream on: ''.
		c1 build printHtmlOn: str.
		self assert: ('*test widget 1*' match: str contents)]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'sa 10/12/2009 12:36'!
testShow
	| str |
	str := WriteStream on: ''.
	self withSessionDo: [
		c1 show: c2.
		c1 build printHtmlOn: str.
		self assert: ('*test widget 2*' match: str contents).
		str := WriteStream on: ''.
		c2 show: c3.
		c1 build printHtmlOn: str.
		self assert: ('*test widget 3*' match: str contents).
		str := WriteStream on: ''.
		c3 answer.
		c1 build printHtmlOn: str.
		self assert: ('*test widget 2*' match: str contents).
		str := WriteStream on: ''.
		c2 answer.
		c1 build printHtmlOn: str.
		self assert: ('*test widget 1*' match: str contents)]! !

!ILWidgetTest methodsFor: 'private' stamp: 'np 11/7/2009 15:16'!
withSessionDo: aBlock
	"To build widget, we have to create a fake session,
	with a context, aRequest and an application"
	
	| context app |
	app := ILApplication new.
	context := ILContext new 
			application: app;
			request: (ILRequest new 
				url: (ILUrl absolute: '/'));
			session: ILSession new;
			yourself.
	ILCurrentContext 
		use: context
		during: [app respondOn: ILResponse new].
	ILCurrentContext 
		use: context
		during: aBlock! !
